## org.firebirdsql.gds.impl.wire
Class isc_stmt_handle_impl

    java.lang.Object
      org.firebirdsql.gds.impl.AbstractIscStmtHandle
          org.firebirdsql.gds.impl.wire.isc_stmt_handle_impl

All Implemented Interfaces:
  IscStmtHandle

    public final class isc_stmt_handle_impl

extends AbstractIscStmtHandle

Describe class `isc_stmt_handle_impl` here.

Version:
  1.0
Author:
  Alejandro Alberola, David Jencks

Field Summary

Fields inherited from class org.firebirdsql.gds.impl.AbstractIscStmtHandle
`statement`

Fields inherited from interface org.firebirdsql.gds.IscStmtHandle
`TYPE_COMMIT, TYPE_DDL, TYPE_DELETE, TYPE_EXEC_PROCEDURE, TYPE_GET_SEGMENT, TYPE_INSERT, TYPE_PUT_SEGMENT, TYPE_ROLLBACK, TYPE_SELECT, TYPE_SELECT_FOR_UPDATE, TYPE_SET_GENERATOR, TYPE_START_TRANS, TYPE_UNKNOWN, TYPE_UPDATE`

Constructor Summary
`isc_stmt_handle_impl()`

Method Summary
`void` `addRow(byte[][] row)`
`void` `clearRows()` Clear all rows that have been fetched for this statement.
`void` `ensureCapacity(int maxSize)`
`int` `getDeleteCount()` Get the number of rows that were deleted by executing this statement.
`int` `getInsertCount()` Get the number of rows that were inserted by executing this statement.
`XSQLDA` `getInSqlda()` Get the input data structure that contains data that is put into the statement.
`XSQLDA` `getOutSqlda()` Get the output data structure that contains data that is retrieved from the statement.
`byte[][][]` `getRows()` Get the rows retrieved by executing this statement.
`int` `getRsr_id()`
`isc_db_handle_impl` `getRsr_rdb()`
`int` `getSelectCount()`
`int` `getStatementType()` Get the statement type.
`AbstractIscTrHandle` `getTransaction()` Get current transaction in which statement is currently executed.
`int` `getUpdateCount()` Get the number of rows that were updated by executing this statement.
`boolean` `hasOpenResultSet()` Retrieve whether this statement has an open `ResultSet`.
`boolean` `isAllRowsFetched()` Retrieve whether all rows have been fetched of the rows selected by executing this statement.
`boolean` `isSingletonResult()` Retrieve whether this statement has singleton result set.
`boolean` `isValid()` Retrieve whether or not this statement is valid.
`static void` `printRow(byte[][] row)`
`void` `registerTransaction(AbstractIscTrHandle trHandle)` Register statement for the transaction.
`void` `removeRows()` Remove all rows contained by this statement.
`void` `setAllRowsFetched(boolean value)`
`void` `setDeleteCount(int value)`
`void` `setInsertCount(int value)`
`void` `setInSqlda(XSQLDA xsqlda)`
`void` `setOutSqlda(XSQLDA xsqlda)`
`void` `setRsr_id(int value)`
`void` `setRsr_rdb(isc_db_handle_impl value)`
`void` `setSelectCount(int value)`
`void` `setSingletonResult(boolean value)`
`void` `setStatementType(int value)`
`void` `setUpdateCount(int value)`
`int` `size()` Get the number of rows contained in this statement.
`void` `unregisterTransaction()` Unregister statement from the transaction.

Methods inherited from class org.firebirdsql.gds.impl.AbstractIscStmtHandle
`getExecutionPlan, setExecutionPlan`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### isc_stmt_handle_impl

    public isc_stmt_handle_impl()

Method Detail

### getInSqlda

    public XSQLDA getInSqlda()

  Description copied from interface: `IscStmtHandle`
  Get the input data structure that contains data that is put into the statement.

  Returns:
    The input data structure

### getOutSqlda

    public XSQLDA getOutSqlda()

  Description copied from interface: `IscStmtHandle`
  Get the output data structure that contains data that is retrieved from the statement.

  Returns:
    The output data structure

### setInSqlda

    public void setInSqlda(XSQLDA xsqlda)

### setOutSqlda

    public void setOutSqlda(XSQLDA xsqlda)

### ensureCapacity

    public void ensureCapacity(int maxSize)

### clearRows

    public void clearRows()

  Description copied from class: `AbstractIscStmtHandle`
  Clear all rows that have been fetched for this statement. This method differs from `AbstractIscStmtHandle.removeRows()` in that it only affects rows that have already been fetched.

  Specified by:
    `clearRows` in class `AbstractIscStmtHandle`
  See Also:
    `AbstractIscStmtHandle.removeRows()`

### setStatementType

    public void setStatementType(int value)

  Overrides:
    `setStatementType` in class `AbstractIscStmtHandle`

### getStatementType

    public int getStatementType()

  Description copied from interface: `IscStmtHandle`
  Get the statement type.

  Specified by:
    `getStatementType` in interface `IscStmtHandle`
  Overrides:
    `getStatementType` in class `AbstractIscStmtHandle`
  Returns:
    one of the constants defined in this interface or `IscStmtHandle.TYPE_UNKNOWN` when no statement type was received from the server.

### setInsertCount

    public void setInsertCount(int value)

### getInsertCount

    public int getInsertCount()

  Description copied from class: `AbstractIscStmtHandle`
  Get the number of rows that were inserted by executing this statement.

  Specified by:
    `getInsertCount` in class `AbstractIscStmtHandle`
  Returns:
    The number of inserted rows

### setUpdateCount

    public void setUpdateCount(int value)

### getUpdateCount

    public int getUpdateCount()

  Description copied from class: `AbstractIscStmtHandle`
  Get the number of rows that were updated by executing this statement.

  Specified by:
    `getUpdateCount` in class `AbstractIscStmtHandle`
  Returns:
    The number of updated rows

### setDeleteCount

    public void setDeleteCount(int value)

### getDeleteCount

    public int getDeleteCount()

  Description copied from class: `AbstractIscStmtHandle`
  Get the number of rows that were deleted by executing this statement.

  Specified by:
    `getDeleteCount` in class `AbstractIscStmtHandle`
  Returns:
    The number of deleted rows

### setSelectCount

    public void setSelectCount(int value)

### getSelectCount

    public int getSelectCount()

### isAllRowsFetched

    public boolean isAllRowsFetched()

  Description copied from interface: `IscStmtHandle`
  Retrieve whether all rows have been fetched of the rows selected by executing this statement.

  Returns:
    `true` if all rows have been fetched, `false` otherwise

### setAllRowsFetched

    public void setAllRowsFetched(boolean value)

### isSingletonResult

    public boolean isSingletonResult()

  Description copied from class: `AbstractIscStmtHandle`
  Retrieve whether this statement has singleton result set.

  Specified by:
    `isSingletonResult` in class `AbstractIscStmtHandle`
  Returns:
    `true` if result set has singleton result set.

### setSingletonResult

    public void setSingletonResult(boolean value)

### getRsr_id

    public int getRsr_id()

### setRsr_id

    public void setRsr_id(int value)

### isValid

    public boolean isValid()

  Description copied from class: `AbstractIscStmtHandle`
  Retrieve whether or not this statement is valid.

  Specified by:
    `isValid` in class `AbstractIscStmtHandle`
  Returns:
    `true` if this is a valid statement, `false` otherwise

### hasOpenResultSet

    public boolean hasOpenResultSet()

  Description copied from class: `AbstractIscStmtHandle`
  Retrieve whether this statement has an open `ResultSet`.

  Specified by:
    `hasOpenResultSet` in class `AbstractIscStmtHandle`
  Returns:
    `true` if this statement has an open `ResultSet`, false otherwise

### getRsr_rdb

    public isc_db_handle_impl getRsr_rdb()

### setRsr_rdb

    public void setRsr_rdb(isc_db_handle_impl value)

### size

    public int size()

  Description copied from class: `AbstractIscStmtHandle`
  Get the number of rows contained in this statement.

  Specified by:
    `size` in class `AbstractIscStmtHandle`
  Returns:
    The rowcount for this statement

### getRows

    public byte[][][] getRows()

  Description copied from class: `AbstractIscStmtHandle`
  Get the rows retrieved by executing this statement.

  Specified by:
    `getRows` in class `AbstractIscStmtHandle`
  Returns:
    Array of rows retrieved

### removeRows

    public void removeRows()

  Description copied from class: `AbstractIscStmtHandle`
  Remove all rows contained by this statement. This method differs from `AbstractIscStmtHandle.clearRows()` in that it effectively clears all rows from this statement.

  Specified by:
    `removeRows` in class `AbstractIscStmtHandle`
  See Also:
    `AbstractIscStmtHandle.clearRows()`

### addRow

    public void addRow(byte[][] row)

### printRow

    public static void printRow(byte[][] row)

### getTransaction

    public AbstractIscTrHandle getTransaction()

  Description copied from class: `AbstractIscStmtHandle`
  Get current transaction in which statement is currently executed.

  Specified by:
    `getTransaction` in class `AbstractIscStmtHandle`
  Returns:
    instance of `AbstractIscTrHandle` or `null` if statement is not assigned to a transaction.

### registerTransaction

    public void registerTransaction(AbstractIscTrHandle trHandle)

  Description copied from class: `AbstractIscStmtHandle`
  Register statement for the transaction. This method is used within the `GDS.iscDsqlExecXXX` methods to keep a reference on current transaction in which statement is executed.

  Specified by:
    `registerTransaction` in class `AbstractIscStmtHandle`
  Parameters:
    `trHandle` - instance of `AbstractIscTrHandle`.

### unregisterTransaction

    public void unregisterTransaction()

  Description copied from class: `AbstractIscStmtHandle`
  Unregister statement from the transaction.

  Specified by:
    `unregisterTransaction` in class `AbstractIscStmtHandle`

Copyright © 2001-2010. All Rights Reserved.